Inbox ai Chat Functions
Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Responses
200
The generated summary.
application/json
summarystringRequiredExample:
The generated summary of the conversation.
The customer is asking about the status of their order #12345.errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/inbox/{chatbotId}/conversations/{conversationId}/summaryAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Responses
200
The generated text completion.
application/json
completionstringRequiredExample:
The completed text suggestion.
...and I wish you a nice day.errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/inbox/{chatbotId}/conversations/{conversationId}/completionAuthorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired
The ID of the chatbot.
conversationIdstringRequired
The ID of the conversation.
Body
messagestringRequiredExample:
The message to be reformulated.
Can you help me?Responses
201
The reformulated message.
application/json
400
Invalid input data.
403
Insufficient permissions.
post
/v1/inbox/{chatbotId}/conversations/{conversationId}/formulationLast updated